<template lang="pug">
BaseCard(ref="mainCard" tabIndex="-1").highlightOnFocus
  template(v-slot:header)
    .d-flex.justify-content-between
      div #[h5 {{ daq.name }}]
      .div.mx-2(v-if="isLoading")
        i.fa.fa-spinner.fa-pulse
      .ml-auto
      .d-none.d-lg-block.mx-1.button.btn.btn-sm.btn-outline-secondary(@click='toggleZsp')
        i.fa.fa-expand-alt.mr-1(v-if='!zspExpanded')
        i.fa.fa-expand-arrows-alt.mr-1(v-if='zspExpanded === "active"')
        i.fa.fa-compress-alt.mr-1(v-if='zspExpanded === "all"')
        | Zero Suppression
      .d-none.d-lg-block.mx-1.button.btn.btn-sm.btn-outline-secondary(@click='toggleAcq')
        i.fa.fa-expand-alt.mr-1(v-if='!acqExpanded')
        i.fa.fa-expand-arrows-alt.mr-1(v-if='acqExpanded === "active"')
        i.fa.fa-compress-alt.mr-1(v-if='acqExpanded === "all"')
        | Acquisition
      .mx-1.align-self-center.clickable(v-if='!isLoading && !inEdit'
                         @click='inEdit = true')
        kbd.keyHint.mr-2(v-if="showKeyHints") E
        i.fa.fa-cog
      .mx-1.align-self-center.clickable(v-if='inEdit'
                         @click='inEdit = false')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        i.fa.fa-times
  li(key="0")
    ZeroSuppression(ref="zsp"
                    :daq="daq" :source="source" :inEdit="inEdit"
                    @loaded="onZSPLoaded")
  li(key="1")
    .row(v-for='card in daq.cards')
      DaqCard(ref="Cards" :key="card.name"
          :daq='daq' :card="card" :source="source"
          :inEdit="inEdit"
          @loaded="onCardLoaded")

  li(key="2" v-show='inEdit')
    button.btn.btn-secondary.float-right.mx-1(type='submit' @click='cancel()')
      kbd.keyHint.mr-2(v-if="showKeyHints") Esc
      | Cancel
    button.btn.btn-primary.float-right.mx-1(type='submit' @click='configure()' :disabled="isLoading")
      kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
      | Configure
</template>
<script>

export { default } from './Daq.vue.js';

</script>
<style>
</style>
